using System.Net.Sockets;
using System;

/// <summary>
/// Example program showing simple TCP socket connections in C#.NET.
/// TCPSocketServer is the socket server.
/// <author>Tim Lindquist ECET ASU East</author>
/// <version>September 8, 2002</version>
/// </summary>
public class TCPSocketServer 
{

	public static void Main (string [] args) 
	{
		TcpListener tcpl = new TcpListener(9090);
		tcpl.Start();
		Console.Write("TCPSocketServer up and waiting for connections on 9090");
		Socket sock = tcpl.AcceptSocket();
		string msg = "Hello Client";
		Byte[] msgBytes = System.Text.Encoding.ASCII.GetBytes(msg);
		sock.Send(msgBytes, msgBytes.Length, SocketFlags.DontRoute);
		tcpl.Stop();
		sock.Close();
	}
}
